Index: NEMO/branches/2021/ticket2669_isf_fluxes/cfgs/SHARED/field_def_nemo-oce.xml
===================================================================
--- NEMO/branches/2021/ticket2669_isf_fluxes/cfgs/SHARED/field_def_nemo-oce.xml	(revision 14988)
+++ NEMO/branches/2021/ticket2669_isf_fluxes/cfgs/SHARED/field_def_nemo-oce.xml	(revision 14994)
@@ -317,14 +317,18 @@
     <field id="dh"                  long_name="Pycnocline thickness"                     unit=" m"      />
     <field id="ibld"                long_name="index of boundary layer depth"            unit="#"       />
-    <field id="imld"                long_name="index of mixed layer depth"            unit="#"       />
-    <field id="zhbl"                long_name="boundary layer depth -grid"                     unit="m"       />
-    <field id="zhml"                long_name="mixed layer depth - grid"                        unit="m"       />
+    <field id="imld"                long_name="index of mixed layer depth"               unit="#"       />
+    <field id="jp_ext"              long_name="flag =1 if pycnocline well resolved"      unit="#"       />
+    <field id="j_ddh"               long_name="index of mixed layer depth"               unit="#"       />
+    <field id="zshear"              long_name="shear production of TKE "                 unit="m^3/s^3" />
+    <field id="zhbl"                long_name="boundary layer depth -grid"               unit="m"       />
+    <field id="zhml"                long_name="mixed layer depth - grid"                 unit="m"       />
     <field id="zdh"                 long_name="Pycnocline  depth - grid"                 unit=" m"      />
     <field id="zustke"              long_name="magnitude of stokes drift  at T-points"   unit="m/s"     />
-    <field id="us_x"        long_name="i component of active Stokes drift"                      unit="m/s"     />
-    <field id="us_y"        long_name="j component of active Stokes drift"                      unit="m/s"     />
+    <field id="us_x"                long_name="i component of active Stokes drift"       unit="m/s"     />
+    <field id="us_y"                long_name="j component of active Stokes drift"       unit="m/s"     />
     <field id="dstokes"             long_name="stokes drift  depth scale"                unit="m"       />
     <field id="zwth0"               long_name="surface non-local temperature flux"       unit="deg m/s" />
     <field id="zws0"                long_name="surface non-local salinity flux"          unit="psu m/s" />
+    <field id="zwb0"                long_name="surface non-local buoyancy flux"          unit="m^2/s^3" />
     <field id="zwstrc"              long_name="convective velocity scale"                unit="m/s"     />
     <field id="zustar"              long_name="friction velocity"                        unit="m/s"     />
@@ -337,5 +341,5 @@
 
     <!-- interior BL OSMOSIS diagnostics -->
-    <field id="zwthav"              long_name="av turb flux of T in ml"                  unit="deg m/s" />
+    <field id="zwbav"               long_name="av turb flux of buoyancy in ml"           unit="m^2/s^3" />
     <field id="zt_ml"               long_name="av T in ml"                               unit="deg"     />
     <field id="zhol"                long_name="Hoenekker number"                         unit="#"       />
@@ -344,10 +348,13 @@
     <field id="zwb_ent"            long_name="entrainment turb flux of buoyancy"         unit="m^2/s^-3" />
 
-    <field id="zdt_bl"             long_name="temperature jump at base of BL"                 unit="deg"      />
-    <field id="zds_bl"             long_name="salinity jump at base of BL"                 unit="10^-3"      />
-    <field id="zdb_bl"             long_name="buoyancy jump at base of BL"                 unit="m/s^2"      />
-    <field id="zdu_bl"             long_name="u jump at base of BL"                       unit="m/s"      />
-    <field id="zdv_bl"             long_name="v jump at base of BL"                       unit="m/s"      />
-
+    <field id="zdt_bl"             long_name="temperature jump at base of BL"            unit="deg"      />
+    <field id="zds_bl"             long_name="salinity jump at base of BL"               unit="10^-3"    />
+    <field id="zdb_bl"             long_name="buoyancy jump at base of BL"               unit="m/s^2"    />
+    <field id="zdu_bl"             long_name="u jump at base of BL"                      unit="m/s"      />
+    <field id="zdv_bl"             long_name="v jump at base of BL"                      unit="m/s"      />
+    <field id="zdt_ml"             long_name="temperature jump at base of ML"            unit="deg"      />
+    <field id="zds_ml"             long_name="salinity jump at base of ML"               unit="10^-3"    />
+    <field id="zdb_ml"             long_name="buoyancy jump at base of ML"               unit="m/s^2"    />
+    <field id="pb_coup"            long_name="bottom coupling velocity"                  unit="m/s"      />
     <!-- extra OSMOSIS diagnostics for debugging -->
     <field id="zsc_uw_1_0"       long_name="zsc u-momentum flux on T after Stokes"                       unit="m^2/s^2" />
@@ -356,6 +363,4 @@
     <field id="zsc_uw_2_f"       long_name="2nd zsc u-momentum flux on T after Coriolis"                       unit="m^2/s^2" />
     <field id="zsc_vw_2_f"       long_name="2nd zsc v-momentum flux on T after Coriolis"                       unit="m^2/s^2" />
-    <field id="zuw_bse"       long_name="base u-flux T-points"                          unit="m^2/s^2" />
-    <field id="zvw_bse"       long_name="base v-flux T-points"                          unit="m^2/s^2" />
 
     <!-- FK_OSM OSMOSIS diagnostics (require also ln_osm_mle=.true.-->
@@ -756,4 +761,11 @@
     <field id="bn2"          long_name="squared Brunt-Vaisala frequency"                unit="s-2" />
 
+    <!-- dissipation diagnostics (note: ediss_k is only available with tke scheme) -->   
+    <field id="avt_k"        long_name="vertical eddy diffusivity from closure schemes" standard_name="ocean_vertical_eddy_diffusivity"       unit="m2/s" />
+    <field id="avm_k"        long_name="vertical eddy viscosity from closure schemes"   standard_name="ocean_vertical_eddy_viscosity"         unit="m2/s" />
+    <field id="ediss_k"      long_name="Kolmogorov energy dissipation (tke scheme)"     standard_name="Kolmogorov_energy_dissipation"         unit="W/kg" />
+    <field id="eshear_k"     long_name="energy source from vertical shear"              standard_name="energy_source_from_shear"              unit="W/kg" />
+    <field id="estrat_k"     long_name="energy sink from stratification"                standard_name="energy_sink_from_stratification"       unit="W/kg" />
+    
   </field_group>
 
@@ -1109,4 +1121,10 @@
     <field id="vtrd_tot"       long_name="j-trend: total momentum trend before atf"        unit="m/s^2"                        />
     <field id="vtrd_atf"       long_name="j-trend: asselin time filter trend"              unit="m/s^2"                        />
+  </field_group>
+
+  <!-- shared variables available with TOP interface -->
+  <field_group id="top_shared" grid_ref="grid_T_3D">
+    <field id="xeps"           long_name="Broadband light attenuation"                     unit="-"                            />
+    <field id="Heup"           long_name="Euphotic layer depth"                            unit="m"     grid_ref="grid_T_2D"   />
   </field_group>
 
Index: NEMO/branches/2021/ticket2669_isf_fluxes/cfgs/SHARED/namelist_ref
===================================================================
--- NEMO/branches/2021/ticket2669_isf_fluxes/cfgs/SHARED/namelist_ref	(revision 14988)
+++ NEMO/branches/2021/ticket2669_isf_fluxes/cfgs/SHARED/namelist_ref	(revision 14994)
@@ -99,5 +99,5 @@
 !-----------------------------------------------------------------------
    ln_tile = .false.     !  Use tiling (T) or not (F)
-   nn_ltile_i = 10       !  Length of tiles in i
+   nn_ltile_i = 99999    !  Length of tiles in i
    nn_ltile_j = 10       !  Length of tiles in j
 /
@@ -1242,4 +1242,9 @@
    !                       !           = 2 roughness uses rn_hsri and is weighted by 1-fr_i
    !                       !           = 3 roughness uses rn_hsri and is weighted by 1-MIN(1,4*fr_i)
+   nn_mxlice     =     1   !  mixing under sea ice
+                           !     = 0 No scaling under sea-ice
+                           !     = 1 scaling with constant Ice-ocean roughness (rn_hsri)
+                           !     = 2 scaling with mean sea-ice thickness
+                           !     = 3 scaling with max sea-ice thickness
    nn_bc_surf    =     1   !  surface condition (0/1=Dir/Neum)
    nn_bc_bot     =     1   !  bottom condition (0/1=Dir/Neum)
@@ -1273,5 +1278,5 @@
                                !  = 2:use surface value of SD fit to slope at rn_osm_hblfrac*hbl below surface
    ln_zdfosm_ice_shelter = .true.  ! reduce surface SD and depth scale under ice
-   ln_osm_mle = .false.        !  Use integrated FK-OSM model
+   ln_osm_mle = .true.         !  Use integrated FK-OSM model
 /
 !-----------------------------------------------------------------------
@@ -1281,11 +1286,11 @@
    nn_osm_mle          = 0         ! MLE type: =0 standard Fox-Kemper ; =1 new formulation
    rn_osm_mle_lf       = 5.e+3     ! typical scale of mixed layer front (meters)                      (case rn_osm_mle=0)
-   rn_osm_mle_time     = 172800.   ! time scale for mixing momentum across the mixed layer (seconds)  (case rn_osm_mle=0)
+   rn_osm_mle_time     = 43200.    ! time scale for mixing momentum across the mixed layer (seconds)  (case rn_osm_mle=0)
    rn_osm_mle_lat      = 20.       ! reference latitude (degrees) of MLE coef.                        (case rn_mle=1)
-   rn_osm_mle_rho_c =    0.01      ! delta rho criterion used to calculate MLD for FK
-   rn_osm_mle_thresh  = 0.0005     ! delta b criterion used for FK MLE criterion
-   rn_osm_mle_tau     = 172800.    ! time scale for FK-OSM (seconds)  (case rn_osm_mle=0)
-   ln_osm_hmle_limit   = .false.   ! limit hmle to rn_osm_hmle_limit*hbl
-   rn_osm_hmle_limit   = 1.2
+   rn_osm_mle_rho_c    = 0.03      ! delta rho criterion used to calculate MLD for FK
+   rn_osm_mle_thresh   = 0.0001    ! delta b criterion used for FK MLE criterion
+   rn_osm_mle_tau      = 172800.   ! time scale for FK-OSM (seconds)  (case rn_osm_mle=0)
+   ln_osm_hmle_limit   = .true.    ! If true, limit hmle to rn_osm_hmle_limit*hbl
+   rn_osm_hmle_limit   = 1.5
    /
 !-----------------------------------------------------------------------
Index: NEMO/branches/2021/ticket2669_isf_fluxes/cfgs/SHARED/namelist_top_ref
===================================================================
--- NEMO/branches/2021/ticket2669_isf_fluxes/cfgs/SHARED/namelist_top_ref	(revision 14988)
+++ NEMO/branches/2021/ticket2669_isf_fluxes/cfgs/SHARED/namelist_top_ref	(revision 14994)
@@ -101,4 +101,15 @@
 /
 !-----------------------------------------------------------------------
+&namtrc_opt      !  light availability in the water column
+!-----------------------------------------------------------------------
+!              !  file name       ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
+!              !                  !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
+   sn_par      = 'par.orca'       ,     24            , 'fr_par'  ,  .true.      , .true. , 'yearly'  , ''       , ''       , ''
+   cn_dir      = './'        ! root directory for the location of the dynamical files
+   ln_varpar   =  .true.     ! Read PAR from file
+   parlux      =  0.43       ! Fraction of shortwave as PAR
+   light_loc   = 'center'    ! Light location in the water cell ('center', 'integral')
+/
+!-----------------------------------------------------------------------
 &namtrc_dmp      !   passive tracer newtonian damping                   (ln_trcdmp=T)
 !-----------------------------------------------------------------------