Index: NEMO/branches/2021/ticket2690_consign_isf/cfgs/SHARED/field_def_nemo-oce.xml
===================================================================
--- NEMO/branches/2021/ticket2690_consign_isf/cfgs/SHARED/field_def_nemo-oce.xml	(revision 14996)
+++ NEMO/branches/2021/ticket2690_consign_isf/cfgs/SHARED/field_def_nemo-oce.xml	(revision 15001)
@@ -248,23 +248,23 @@
 
     <!-- * fwf * -->
-    <field id="fwfisf_cav"      long_name="Ice shelf fresh water flux ( from oce to isf )"                    unit="kg/m2/s"  />
-    <field id="fwfisf_par"      long_name="Ice shelf fresh water flux ( from oce to isf )"                    unit="kg/m2/s"  />
-    <field id="fwfisf3d_cav"    long_name="3d Ice shelf fresh water flux ( from oce to isf )"                 unit="kg/m2/s"  grid_ref="grid_T_3D" />
-    <field id="fwfisf3d_par"    long_name="3d Ice shelf fresh water flux ( from oce to isf )"                 unit="kg/m2/s"  grid_ref="grid_T_3D" />
+    <field id="fwfisf_cav"      long_name="Ice shelf fresh water flux ( from isf to oce )"                    unit="kg/m2/s"  />
+    <field id="fwfisf_par"      long_name="Ice shelf fresh water flux ( from isf to oce )"                    unit="kg/m2/s"  />
+    <field id="fwfisf3d_cav"    long_name="3d Ice shelf fresh water flux ( from isf to oce )"                 unit="kg/m2/s"  grid_ref="grid_T_3D" />
+    <field id="fwfisf3d_par"    long_name="3d Ice shelf fresh water flux ( from isf to oce )"                 unit="kg/m2/s"  grid_ref="grid_T_3D" />
 
     <!-- * heat fluxes * -->
-    <field id="qoceisf_cav"     long_name="Ice shelf ocean  heat flux ( from oce to isf )"                    unit="W/m2"     />
-    <field id="qoceisf_par"     long_name="Ice shelf ocean  heat flux ( from oce to isf )"                    unit="W/m2"     />
-    <field id="qlatisf_cav"     long_name="Ice shelf latent heat flux ( from oce to isf )"                    unit="W/m2"     />
-    <field id="qlatisf_par"     long_name="Ice shelf latent heat flux ( from oce to isf )"                    unit="W/m2"     />
-    <field id="qhcisf_cav"      long_name="Ice shelf heat content flux of injected water ( from oce to isf )" unit="W/m2"     />
-    <field id="qhcisf_par"      long_name="Ice shelf heat content flux of injected water ( from oce to isf )" unit="W/m2"     />
-    <field id="qoceisf3d_cav"   long_name="Ice shelf ocean  heat flux ( from oce to isf )"                    unit="W/m2"     grid_ref="grid_T_3D" />
-    <field id="qoceisf3d_par"   long_name="Ice shelf ocean  heat flux ( from oce to isf )"                    unit="W/m2"     grid_ref="grid_T_3D" />
-    <field id="qlatisf3d_cav"   long_name="Ice shelf latent heat flux ( from oce to isf )"                    unit="W/m2"     grid_ref="grid_T_3D" />
-    <field id="qlatisf3d_par"   long_name="Ice shelf latent heat flux ( from oce to isf )"                    unit="W/m2"     grid_ref="grid_T_3D" />
-    <field id="qhcisf3d_cav"    long_name="Ice shelf heat content flux of injected water ( from oce to isf )" unit="W/m2"     grid_ref="grid_T_3D" />
-    <field id="qhcisf3d_par"    long_name="Ice shelf heat content flux of injected water ( from oce to isf )" unit="W/m2"     grid_ref="grid_T_3D" />
-    <field id="qconisf"         long_name="Conductive heat flux through the ice shelf ( from oce to isf )"    unit="W/m2"     />
+    <field id="qoceisf_cav"     long_name="Ice shelf ocean  heat flux ( from isf to oce )"                    unit="W/m2"     />
+    <field id="qoceisf_par"     long_name="Ice shelf ocean  heat flux ( from isf to oce )"                    unit="W/m2"     />
+    <field id="qlatisf_cav"     long_name="Ice shelf latent heat flux ( from isf to oce )"                    unit="W/m2"     />
+    <field id="qlatisf_par"     long_name="Ice shelf latent heat flux ( from isf to oce )"                    unit="W/m2"     />
+    <field id="qhcisf_cav"      long_name="Ice shelf heat content flux of injected water ( from isf to oce )" unit="W/m2"     />
+    <field id="qhcisf_par"      long_name="Ice shelf heat content flux of injected water ( from isf to oce )" unit="W/m2"     />
+    <field id="qoceisf3d_cav"   long_name="Ice shelf ocean  heat flux ( from isf to oce )"                    unit="W/m2"     grid_ref="grid_T_3D" />
+    <field id="qoceisf3d_par"   long_name="Ice shelf ocean  heat flux ( from isf to oce )"                    unit="W/m2"     grid_ref="grid_T_3D" />
+    <field id="qlatisf3d_cav"   long_name="Ice shelf latent heat flux ( from isf to oce )"                    unit="W/m2"     grid_ref="grid_T_3D" />
+    <field id="qlatisf3d_par"   long_name="Ice shelf latent heat flux ( from isf to oce )"                    unit="W/m2"     grid_ref="grid_T_3D" />
+    <field id="qhcisf3d_cav"    long_name="Ice shelf heat content flux of injected water ( from isf to oce )" unit="W/m2"     grid_ref="grid_T_3D" />
+    <field id="qhcisf3d_par"    long_name="Ice shelf heat content flux of injected water ( from isf to oce )" unit="W/m2"     grid_ref="grid_T_3D" />
+    <field id="qconisf"         long_name="Conductive heat flux through the ice shelf ( from isf to oce )"    unit="W/m2"     />
 
     <!-- top boundary layer properties -->