Index: NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/C1D/c1d.F90
===================================================================
--- NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/C1D/c1d.F90	(revision 15003)
+++ NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/C1D/c1d.F90	(revision 15006)
@@ -28,5 +28,4 @@
    REAL(wp), PUBLIC ::  rn_lat1d     !: Column latitude
    REAL(wp), PUBLIC ::  rn_lon1d     !: Column longitude
-   LOGICAL , PUBLIC ::  ln_c1d_locpt !: Localization (or not) of 1D column in a grid
 
    !!----------------------------------------------------------------------
@@ -47,5 +46,5 @@
       INTEGER ::   ios   ! Local integer
       !!
-      NAMELIST/namc1d/ rn_lat1d, rn_lon1d , ln_c1d_locpt
+      NAMELIST/namc1d/ rn_lat1d, rn_lon1d
       !!----------------------------------------------------------------------
       !
@@ -64,5 +63,4 @@
          WRITE(numout,*) '      column latitude                 rn_lat1d     = ', rn_lat1d
          WRITE(numout,*) '      column longitude                rn_lon1d     = ', rn_lon1d
-         WRITE(numout,*) '      column localization in a grid   ln_c1d_locpt = ', ln_c1d_locpt
       ENDIF
       !
@@ -76,5 +74,4 @@
    LOGICAL, PUBLIC, PARAMETER ::   lk_c1d = .FALSE.   !: 1D config. flag de-activated
    REAL(wp)                   ::   rn_lat1d, rn_lon1d
-   LOGICAL , PUBLIC           ::   ln_c1d_locpt = .FALSE. 
 CONTAINS
    SUBROUTINE c1d_init               ! Dummy routine
Index: NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/C1D/dyncor_c1d.F90
===================================================================
--- NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/C1D/dyncor_c1d.F90	(revision 15003)
+++ 	(revision )
@@ -1,112 +1,0 @@
-MODULE dyncor_c1d
-   !!======================================================================
-   !!                     ***  MODULE  dyncor_c1d  ***
-   !! Ocean Dynamics :   Coriolis term in 1D configuration
-   !!=====================================================================
-   !! History :  2.0  !  2004-09  (C. Ethe)  Original code
-   !!            3.0  !  2008-04  (G. Madec)  style only
-   !!----------------------------------------------------------------------
-#if defined key_c1d
-   !!----------------------------------------------------------------------
-   !!   'key_c1d'                                          1D Configuration
-   !!----------------------------------------------------------------------
-   !!   cor_c1d       : Coriolis factor at T-point (1D configuration)
-   !!   dyn_cor_c1d   : vorticity trend due to Coriolis at T-point
-   !!----------------------------------------------------------------------
-   USE oce            ! ocean dynamics and tracers
-   USE dom_oce        ! ocean space and time domain
-   USE phycst         ! physical constants
-   !
-   USE in_out_manager ! I/O manager
-   USE prtctl         ! Print control
-
-   USE sbcwave        ! Surface Waves (add Stokes-Coriolis force)
-   USE sbc_oce , ONLY : ln_stcor    ! use Stoke-Coriolis force
-   
-   IMPLICIT NONE
-   PRIVATE
-
-   PUBLIC   cor_c1d      ! called by nemogcm.F90
-   PUBLIC   dyn_cor_c1d  ! called by step1d.F90
-
-   !! * Substitutions
-#  include "do_loop_substitute.h90"
-   !!----------------------------------------------------------------------
-   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id$ 
-   !! Software governed by the CeCILL license (see ./LICENSE)
-   !!----------------------------------------------------------------------
-CONTAINS
-
-   SUBROUTINE cor_c1d
-      !!----------------------------------------------------------------------
-      !!                   ***  ROUTINE cor_c1d  ***
-      !! 
-      !! ** Purpose : set the Coriolis factor at T-point
-      !!----------------------------------------------------------------------
-      REAL(wp) ::   zphi0, zbeta, zf0   ! local scalars
-      !!----------------------------------------------------------------------
-
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'cor_c1d : Coriolis factor at T-point'
-      IF(lwp) WRITE(numout,*) '~~~~~~~'
-
-      !
-   END SUBROUTINE cor_c1d
-
-
-   SUBROUTINE dyn_cor_c1d( kt, Kmm, puu, pvv, Krhs )
-      !!----------------------------------------------------------------------
-      !!                   ***  ROUTINE dyn_cor_c1d  ***
-      !! 
-      !! ** Purpose :   Compute the now Coriolis trend and add it to 
-      !!               the general trend of the momentum equation in 1D case.
-      !!----------------------------------------------------------------------
-      INTEGER                             , INTENT(in   ) ::   kt        ! ocean time-step index
-      INTEGER                             , INTENT(in   ) ::   Kmm, Krhs ! ocean time level indices
-      REAL(wp), DIMENSION(jpi,jpj,jpk,jpt), INTENT(inout) ::   puu, pvv  ! ocean velocities and RHS of momentum equation
-      !!
-      INTEGER ::   ji, jj, jk   ! dummy loop indices
-      !!----------------------------------------------------------------------
-      !
-      IF( kt == nit000 ) THEN
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'dyn_cor_c1d : total vorticity trend in 1D'
-         IF(lwp) WRITE(numout,*) '~~~~~~~~~~'
-      ENDIF
-      !
-      IF( ln_stcor ) THEN
-         DO_3D( 0, 0, 0, 0, 1, jpkm1 )
-            puu(ji,jj,jk,Krhs) = puu(ji,jj,jk,Krhs) + ff_t(ji,jj) * (pvv(ji,jj,jk,Kmm) + vsd(ji,jj,jk))
-            pvv(ji,jj,jk,Krhs) = pvv(ji,jj,jk,Krhs) - ff_t(ji,jj) * (puu(ji,jj,jk,Kmm) + usd(ji,jj,jk))
-         END_3D
-      ELSE
-         DO_3D( 0, 0, 0, 0, 1, jpkm1 )
-            puu(ji,jj,jk,Krhs) = puu(ji,jj,jk,Krhs) + ff_t(ji,jj) * pvv(ji,jj,jk,Kmm)
-            pvv(ji,jj,jk,Krhs) = pvv(ji,jj,jk,Krhs) - ff_t(ji,jj) * puu(ji,jj,jk,Kmm)
-         END_3D
-      END IF
-      
-      !
-      IF(sn_cfctl%l_prtctl)   CALL prt_ctl( tab3d_1=puu(:,:,:,Krhs), clinfo1=' cor  - Ua: ', mask1=umask,  &
-         &                                  tab3d_2=pvv(:,:,:,Krhs), clinfo2=' Va: '       , mask2=vmask )
-      !
-   END SUBROUTINE dyn_cor_c1d
-
-#else
-   !!----------------------------------------------------------------------
-   !!   Default key                                     NO 1D Configuration
-   !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE cor_c1d              ! Empty routine
-       IMPLICIT NONE
-   END SUBROUTINE cor_c1d   
-   SUBROUTINE dyn_cor_c1d ( kt )      ! Empty routine
-      IMPLICIT NONE
-      INTEGER, INTENT( in ) :: kt
-      WRITE(*,*) 'dyn_cor_c1d: You should not have seen this print! error?', kt
-   END SUBROUTINE dyn_cor_c1d
-#endif
-
-   !!=====================================================================
-END MODULE dyncor_c1d
Index: NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/C1D/step_c1d.F90
===================================================================
--- NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/C1D/step_c1d.F90	(revision 15003)
+++ 	(revision )
@@ -1,165 +1,0 @@
-MODULE step_c1d
-   !!======================================================================
-   !!                       ***  MODULE step_c1d  ***
-   !! Time-stepping    : manager of the ocean, tracer and ice time stepping - c1d case
-   !!======================================================================
-   !! History :   2.0  !  2004-04  (C. Ethe)  adapted from step.F90 for C1D
-   !!             3.0  !  2008-04  (G. Madec)  redo the adaptation to include SBC
-   !!             4.1  !  2019-08  (A. Coward, D. Storkey) rewrite in preparation for new timestepping scheme
-   !!----------------------------------------------------------------------
-#if defined key_c1d
-   !!----------------------------------------------------------------------
-   !!   'key_c1d'                                       1D Configuration
-   !!----------------------------------------------------------------------
-   !!   stp_c1d        : NEMO system time-stepping in c1d case
-   !!----------------------------------------------------------------------
-   USE step_oce        ! time stepping definition modules
-   USE stpmlf, ONLY : Nbb, Nnn, Naa, Nrhs ! time level indices
-#if defined key_top
-   USE trcstp          ! passive tracer time-stepping      (trc_stp routine)
-#endif
-   USE dyncor_c1d      ! Coriolis term (c1d case)         (dyn_cor_1d     )
-   USE dynatf_qco      ! time filtering                   (dyn_atf routine)
-   USE dyndmp          ! U & V momentum damping           (dyn_dmp routine)
-   USE restart         ! restart
-
-   IMPLICIT NONE
-   PRIVATE
-
-   PUBLIC stp_c1d      ! called by nemogcm.F90
-
-   !!----------------------------------------------------------------------
-   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id$
-   !! Software governed by the CeCILL license (see ./LICENSE)
-   !!----------------------------------------------------------------------
-CONTAINS
-
-   SUBROUTINE stp_c1d( kstp )
-      !!----------------------------------------------------------------------
-      !!                     ***  ROUTINE stp_c1d  ***
-      !!
-      !! ** Purpose :  - Time stepping of SBC including sea ice (dynamic and thermodynamic eqs.)
-      !!               - Time stepping of OCE (momentum and active tracer eqs.)
-      !!               - Time stepping of TOP (passive tracer eqs.)
-      !!
-      !! ** Method  : -1- Update forcings and data
-      !!              -2- Update vertical ocean physics
-      !!              -3- Compute the t and s trends
-      !!              -4- Update t and s
-      !!              -5- Compute the momentum trends
-      !!              -6- Update the horizontal velocity
-      !!              -7- Compute the diagnostics variables (rd,N2, div,cur,w)
-      !!              -8- Outputs and diagnostics
-      !!----------------------------------------------------------------------
-      INTEGER, INTENT(in) ::   kstp   ! ocean time-step index
-      !
-      INTEGER ::   jk       ! dummy loop indice
-      !! ---------------------------------------------------------------------
-      IF( kstp == nit000 )   CALL iom_init( "nemo")   ! iom_put initialization (must be done after nemo_init for AGRIF+XIOS+OASIS)
-      IF( kstp /= nit000 )   CALL day( kstp )         ! Calendar (day was already called at nit000 in day_init)
-                             CALL iom_setkt( kstp - nit000 + 1, "nemo" )   ! say to iom that we are at time step kstp
-
-      !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-      ! Update data, open boundaries, surface boundary condition (including sea-ice)
-      !<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
-                         CALL sbc    ( kstp, Nbb, Nnn )  ! Sea Boundary Condition (including sea-ice)
-
-      !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-      ! Ocean physics update
-      !<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
-                         CALL eos_rab( ts(:,:,:,:,Nbb), rab_b, Nnn )  ! before local thermal/haline expension ratio at T-points
-                         CALL eos_rab( ts(:,:,:,:,Nnn), rab_n, Nnn )  ! now    local thermal/haline expension ratio at T-points
-                         CALL bn2( ts(:,:,:,:,Nbb), rab_b, rn2b, Nnn ) ! before Brunt-Vaisala frequency
-                         CALL bn2( ts(:,:,:,:,Nnn), rab_n, rn2 , Nnn ) ! now    Brunt-Vaisala frequency
-
-      !  VERTICAL PHYSICS
-                         CALL zdf_phy( kstp, Nbb, Nnn, Nrhs  )    ! vertical physics update (bfr, avt, avs, avm + MLD)
-#if ! defined key_linssh
-      IF(.NOT.ln_linssh )   CALL ssh_nxt       ( kstp, Nbb, Nnn, ssh, Naa )  ! after ssh (includes call to div_hor)
-      IF(.NOT.ln_linssh )   CALL dom_vvl_sf_nxt( kstp, Nbb, Nnn,      Naa )  ! after vertical scale factors
-
-      IF(.NOT.ln_linssh )   CALL wzv           ( kstp, Nbb, Nnn, Naa, ww )  ! now cross-level velocity
-#endif
-      !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-      ! diagnostics and outputs
-      !<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
-                         CALL dia_wri( kstp, Nnn )  ! ocean model: outputs
-                         CALL dia_hth( kstp, Nnn )  ! Thermocline depth (20°C)
-
-
-#if defined key_top
-      !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-      ! Passive Tracer Model
-      !<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
-                        CALL trc_stp( kstp, Nbb, Nnn, Nrhs, Naa  )   ! time-stepping
-#endif
-
-      !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-      ! Active tracers                              (uu(:,:,:,Nrhs), vv(:,:,:,Nrhs) used as workspace)
-      !<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
-                        ts(:,:,:,:,Nrhs) = 0._wp       ! set tracer trends to zero
-
-                        CALL tra_sbc( kstp,      Nnn, ts, Nrhs  )  ! surface boundary condition
-      IF( ln_traqsr )   CALL tra_qsr( kstp,      Nnn, ts, Nrhs  )  ! penetrative solar radiation qsr
-      IF( ln_tradmp )   CALL tra_dmp( kstp, Nbb, Nnn, ts, Nrhs  )  ! internal damping trends- tracers
-      IF(.NOT.ln_linssh)CALL tra_adv( kstp, Nbb, Nnn, ts, Nrhs  )  ! horizontal & vertical advection
-      IF( ln_zdfmfc  )  CALL tra_mfc( kstp, Nbb     , ts, Nrhs  )  ! Mass Flux Convection
-      IF( ln_zdfosm  )  CALL tra_osm( kstp, Nnn     , ts, Nrhs  )  ! OSMOSIS non-local tracer fluxes
-                        CALL tra_zdf( kstp, Nbb, Nnn, Nrhs, ts, Naa   )         ! vertical mixing
-                        CALL eos( ts(:,:,:,:,Nnn), rhd, rhop, gdept_0(:,:,:) )  ! now potential density for zdfmxl
-      IF( ln_zdfnpc )   CALL tra_npc( kstp,      Nnn, Nrhs, ts, Naa   )         ! applied non penetrative convective adjustment on (t,s)
-                        CALL tra_atf( kstp, Nbb, Nnn, Naa, ts )                 ! time filtering of "now" tracer arrays
-
-      !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-      ! Dynamics                                    (ta, sa used as workspace)
-      !<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
-                        uu(:,:,:,Nrhs) = 0._wp          ! set dynamics trends to zero
-                        vv(:,:,:,Nrhs) = 0._wp
-
-      IF( ln_dyndmp )   CALL dyn_dmp    ( kstp, Nbb, Nnn      , uu, vv, Nrhs )  ! internal damping trends- momentum
-                        CALL dyn_cor_c1d( kstp,      Nnn      , uu, vv, Nrhs )  ! vorticity term including Coriolis
-      IF( ln_zdfosm  )  CALL dyn_osm    ( kstp,      Nnn      , uu, vv, Nrhs )  ! OSMOSIS non-local velocity fluxes
-                        CALL dyn_zdf    ( kstp, Nbb, Nnn, Nrhs, uu, vv, Naa  )  ! vertical diffusion
-                        CALL dyn_atf_qco( kstp, Nbb, Nnn, Naa , uu, vv )        ! time filtering of "now" fields
-      IF(.NOT.ln_linssh)CALL ssh_atf    ( kstp, Nbb, Nnn, Naa , ssh )           ! time filtering of "now" sea surface height
-      IF( kstp == nit000 .AND. ln_linssh) THEN
-         ssh(:,:,Naa) = ssh(:,:,Nnn)  ! init ssh after in ln_linssh case
-      ENDIF
-      !
-      ! Swap time levels
-      Nrhs = Nbb
-      Nbb = Nnn
-      Nnn = Naa
-      Naa = Nrhs
-      !
-#if ! defined key_linssh
-      IF(.NOT.ln_linssh)CALL dom_vvl_sf_update( kstp, Nbb, Nnn, Naa )                    ! update of vertical scale factors
-#endif
-      !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-      ! Control and restarts
-      !<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
-                             CALL stp_ctl( kstp, Nnn )
-      IF( kstp == nit000 )   CALL iom_close( numror )          ! close input  ocean restart file
-      IF( lrst_oce       )   CALL rst_write( kstp, Nbb, Nnn )  ! write output ocean restart file
-      !
-#if defined key_xios
-      IF( kstp == nitend .OR. nstop > 0 )   CALL xios_context_finalize()   ! needed for XIOS
-      !
-#endif
-   END SUBROUTINE stp_c1d
-
-#else
-   !!----------------------------------------------------------------------
-   !!   Default key                                            NO 1D Config
-   !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE stp_c1d ( kt )      ! dummy routine
-      IMPLICIT NONE
-      INTEGER, INTENT( in ) :: kt
-      WRITE(*,*) 'stp_c1d: You should not have seen this print! error?', kt
-   END SUBROUTINE stp_c1d
-#endif
-
-   !!======================================================================
-END MODULE step_c1d
Index: NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/DOM/dom_oce.F90
===================================================================
--- NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/DOM/dom_oce.F90	(revision 15003)
+++ NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/DOM/dom_oce.F90	(revision 15006)
@@ -38,4 +38,5 @@
    LOGICAL , PUBLIC ::   ln_1st_euler   !: =T start with forward time step or not (=F)
    LOGICAL , PUBLIC ::   ln_crs         !: Apply grid coarsening to dynamical model output or online passive tracers
+   LOGICAL , PUBLIC ::   ln_c1d         !: =T  single column domain (1x1 pt)
 
    !! Free surface parameters
Index: NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/DOM/domain.F90
===================================================================
--- NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/DOM/domain.F90	(revision 15003)
+++ NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/DOM/domain.F90	(revision 15006)
@@ -11,5 +11,4 @@
    !!   NEMO     1.0  !  2002-08  (G. Madec)  F90: Free form and module
    !!            2.0  !  2005-11  (V. Garnier) Surface pressure gradient organization
-   !!            3.3  !  2010-11  (G. Madec)  initialisation in C1D configuration
    !!            3.6  !  2013     ( J. Simeon, C. Calone, G. Madec, C. Ethe ) Online coarsening of outputs
    !!            3.7  !  2015-11  (G. Madec, A. Coward)  time varying zgr by default
@@ -46,6 +45,4 @@
    USE dommsk         ! domain: set the mask system
    USE domwri         ! domain: write the meshmask file
-   USE c1d            ! 1D configuration
-   USE dyncor_c1d     ! 1D configuration: Coriolis term    (cor_c1d routine)
    USE wet_dry , ONLY : ll_wd     ! wet & drying flag
    USE closea  , ONLY : dom_clo   ! closed seas routine
@@ -228,7 +225,4 @@
       !
 
-      IF( lk_c1d         )   CALL cor_c1d       ! 1D configuration: Coriolis set at T-point
-      !
-
 #if defined key_agrif
       IF( .NOT. Agrif_Root() ) CALL Agrif_Init_Domain( Kbb, Kmm, Kaa )
@@ -320,5 +314,5 @@
          &             nn_stock, nn_write , ln_mskland  , ln_clobber   , nn_chunksz, ln_1st_euler  , &
          &             ln_cfmeta, ln_xios_read, nn_wxios
-      NAMELIST/namdom/ ln_linssh, rn_Dt, rn_atfp, ln_crs, ln_meshmask
+      NAMELIST/namdom/ ln_linssh, rn_Dt, rn_atfp, ln_crs, ln_c1d, ln_meshmask
       NAMELIST/namtile/ ln_tile, nn_ltile_i, nn_ltile_j
 #if defined key_netcdf4
@@ -361,4 +355,5 @@
          WRITE(numout,*) '      asselin time filter parameter           rn_atfp     = ', rn_atfp
          WRITE(numout,*) '      online coarsening of dynamical fields   ln_crs      = ', ln_crs
+         WRITE(numout,*) '      single column domain (1x1pt)            ln_c1d      = ', ln_c1d
       ENDIF
       !
Index: NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/DOM/istate.F90
===================================================================
--- NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/DOM/istate.F90	(revision 15003)
+++ NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/DOM/istate.F90	(revision 15006)
@@ -29,4 +29,5 @@
    USE wet_dry         ! wetting and drying (needed for wad_istate)
    USE usrdef_istate   ! User defined initial state
+   USE c1d
    !
    USE in_out_manager  ! I/O manager
Index: NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/IOM/iom.F90
===================================================================
--- NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/IOM/iom.F90	(revision 15003)
+++ NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/IOM/iom.F90	(revision 15006)
@@ -22,5 +22,4 @@
    USE dom_oce         ! ocean space and time domain
    USE domutl          !
-   USE c1d             ! 1D vertical configuration
    USE flo_oce         ! floats module declarations
    USE lbclnk          ! lateal boundary condition / mpp exchanges
@@ -1410,8 +1409,4 @@
 #endif
       ENDIF
-!some final adjustments
-      ! C1D case : always call lbc_lnk to replicate the central value over the whole 3X3 domain
-      IF( lk_c1d .AND. PRESENT(pv_r2d) )   CALL lbc_lnk( 'iom', pv_r2d,'Z',1.0_wp )
-      IF( lk_c1d .AND. PRESENT(pv_r3d) )   CALL lbc_lnk( 'iom', pv_r3d,'Z',1.0_wp )
 
       !--- Apply scale_factor and offset
Index: NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/nemogcm.F90
===================================================================
--- NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/nemogcm.F90	(revision 15003)
+++ NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/nemogcm.F90	(revision 15006)
@@ -59,5 +59,4 @@
    USE dia25h  , ONLY : dia_25h_init   ! 25h mean output (initialisation)
    USE c1d            ! 1D configuration
-   USE step_c1d       ! Time stepping loop for the 1D configuration
 #if defined key_top
    USE trcini         ! passive tracer initialisation
@@ -143,11 +142,4 @@
       !
       istp = nit000
-      !
-#if defined key_c1d
-      DO WHILE ( istp <= nitend .AND. nstop == 0 )    !==  C1D time-stepping  ==!
-         CALL stp_c1d( istp )
-         istp = istp + 1
-      END DO
-#else
       !
 # if defined key_agrif
@@ -204,6 +196,4 @@
       !
 # endif
-      !
-#endif
       !
       IF( ln_diaobs   )   CALL dia_obs_wri