Index: utils/CI/sette/BATCH_TEMPLATE/batch-X64_KARA_GCC_OMPI
===================================================================
--- utils/CI/sette/BATCH_TEMPLATE/batch-X64_KARA_GCC_OMPI	(revision 15007)
+++ utils/CI/sette/BATCH_TEMPLATE/batch-X64_KARA_GCC_OMPI	(revision 15007)
@@ -0,0 +1,75 @@
+#!/usr/bin/env bash
+
+#SBATCH -J sette
+#SBATCH -o sette.%j.out
+#SBATCH -e sette.%j.err
+#SBATCH -N NODES
+#SBATCH --ntasks-per-node=NPROC_NODE
+#SBATCH -p mono
+#SBATCH -q normal
+#SBATCH --time=01:00:00
+#SBATCH --exclusive
+
+# Test specific settings. Do not hand edit these lines; the fcm_job.sh script will set these
+# (via sed operating on this template job file). 
+#
+  OCEANCORES=NPROCS
+  export SETTE_DIR=DEF_SETTE_DIR
+
+###############################################################
+#
+export MPIRUN="mpirun --map-by node --bind-to core"
+#
+# load sette functions (only post_test_tidyup needed)
+. ${SETTE_DIR}/all_functions.sh
+
+# modules to load
+module purge
+module load gcc/9.3.0 openmpi/4.0.5_gcc9.3.0 hdf5/1.8.18_gcc9.3.0 netcdf/4.7.1_gcc9.3.0 xios/trunk_rev2136_gcc9.3.0
+export XIO_HOME=${XIOS_DIR}
+
+# Don't remove neither change the following line
+# BODY
+
+#
+# These variables are needed by post_test_tidyup function in all_functions.sh
+#
+  export INPUT_DIR=DEF_INPUT_DIR
+  export CONFIG_DIR=DEF_CONFIG_DIR
+  export TOOLS_DIR=DEF_TOOLS_DIR
+  export NEMO_VALIDATION_DIR=DEF_NEMO_VALIDATION
+  export NEW_CONF=DEF_NEW_CONF
+  export CMP_NAM=DEF_CMP_NAM
+  export TEST_NAME=DEF_TEST_NAME
+  export EXE_DIR=DEF_EXE_DIR
+  ulimit -a
+  ulimit -s unlimited
+#
+# end of set up
+###############################################################
+#
+# change to the working directory 
+#
+cd ${EXE_DIR}
+  echo Running on host `hostname`
+  echo Time is `date`
+  echo Directory is `pwd`
+# 
+#  Run the parallel MPI executable 
+#
+  echo "Running time ${MPIRUN} ./nemo"
+#
+  if [ MPI_FLAG == "yes" ]; then
+     ${MPIRUN} -n $OCEANCORES ./nemo
+  else
+     time ./nemo
+  fi
+
+#
+  post_test_tidyup
+
+# END_BODY
+# Don't remove neither change the previous line
+
+
+  exit
Index: utils/CI/sette/BATCH_TEMPLATE/batch-X64_KARA_GCC_OMPI_DEBUG
===================================================================
--- utils/CI/sette/BATCH_TEMPLATE/batch-X64_KARA_GCC_OMPI_DEBUG	(revision 15007)
+++ utils/CI/sette/BATCH_TEMPLATE/batch-X64_KARA_GCC_OMPI_DEBUG	(revision 15007)
@@ -0,0 +1,75 @@
+#!/usr/bin/env bash
+
+#SBATCH -J sette
+#SBATCH -o sette.%j.out
+#SBATCH -e sette.%j.err
+#SBATCH -N NODES
+#SBATCH --ntasks-per-node=NPROC_NODE
+#SBATCH -p mono
+#SBATCH -q normal
+#SBATCH --time=01:00:00
+#SBATCH --exclusive
+
+# Test specific settings. Do not hand edit these lines; the fcm_job.sh script will set these
+# (via sed operating on this template job file). 
+#
+  OCEANCORES=NPROCS
+  export SETTE_DIR=DEF_SETTE_DIR
+
+###############################################################
+#
+export MPIRUN="mpirun --map-by node --bind-to core"
+#
+# load sette functions (only post_test_tidyup needed)
+. ${SETTE_DIR}/all_functions.sh
+
+# modules to load
+module purge
+module load gcc/9.3.0 openmpi/4.0.5_gcc9.3.0 hdf5/1.8.18_gcc9.3.0 netcdf/4.7.1_gcc9.3.0 xios/trunk_rev2136_gcc9.3.0
+export XIO_HOME=${XIOS_DIR}
+
+# Don't remove neither change the following line
+# BODY
+
+#
+# These variables are needed by post_test_tidyup function in all_functions.sh
+#
+  export INPUT_DIR=DEF_INPUT_DIR
+  export CONFIG_DIR=DEF_CONFIG_DIR
+  export TOOLS_DIR=DEF_TOOLS_DIR
+  export NEMO_VALIDATION_DIR=DEF_NEMO_VALIDATION
+  export NEW_CONF=DEF_NEW_CONF
+  export CMP_NAM=DEF_CMP_NAM
+  export TEST_NAME=DEF_TEST_NAME
+  export EXE_DIR=DEF_EXE_DIR
+  ulimit -a
+  ulimit -s unlimited
+#
+# end of set up
+###############################################################
+#
+# change to the working directory 
+#
+cd ${EXE_DIR}
+  echo Running on host `hostname`
+  echo Time is `date`
+  echo Directory is `pwd`
+# 
+#  Run the parallel MPI executable 
+#
+  echo "Running time ${MPIRUN} ./nemo"
+#
+  if [ MPI_FLAG == "yes" ]; then
+     ${MPIRUN} -n $OCEANCORES ./nemo
+  else
+     time ./nemo
+  fi
+
+#
+  post_test_tidyup
+
+# END_BODY
+# Don't remove neither change the previous line
+
+
+  exit
Index: utils/CI/sette/BATCH_TEMPLATE/batch-X64_KARA_GNU_OMPI
===================================================================
--- utils/CI/sette/BATCH_TEMPLATE/batch-X64_KARA_GNU_OMPI	(revision 14981)
+++ 	(revision )
@@ -1,75 +1,0 @@
-#!/usr/bin/env bash
-
-#SBATCH -J sette
-#SBATCH -o sette.%j.out
-#SBATCH -e sette.%j.err
-#SBATCH -N NODES
-#SBATCH --ntasks-per-node=32
-#SBATCH -p mono
-#SBATCH -q normal
-#SBATCH --time=01:00:00
-#SBATCH --exclusive
-
-# Test specific settings. Do not hand edit these lines; the fcm_job.sh script will set these
-# (via sed operating on this template job file). 
-#
-  OCEANCORES=NPROCS
-  export SETTE_DIR=DEF_SETTE_DIR
-
-###############################################################
-#
-export MPIRUN="mpirun --map-by node --bind-to core"
-#
-# load sette functions (only post_test_tidyup needed)
-. ${SETTE_DIR}/all_functions.sh
-
-# modules to load
-module purge
-module load gcc/9.3.0 openmpi/4.0.5_gcc9.3.0 hdf5/1.8.18_gcc9.3.0 netcdf/4.7.1_gcc9.3.0 xios/trunk_rev2136_gcc9.3.0
-export XIO_HOME=${XIOS_DIR}
-
-# Don't remove neither change the following line
-# BODY
-
-#
-# These variables are needed by post_test_tidyup function in all_functions.sh
-#
-  export INPUT_DIR=DEF_INPUT_DIR
-  export CONFIG_DIR=DEF_CONFIG_DIR
-  export TOOLS_DIR=DEF_TOOLS_DIR
-  export NEMO_VALIDATION_DIR=DEF_NEMO_VALIDATION
-  export NEW_CONF=DEF_NEW_CONF
-  export CMP_NAM=DEF_CMP_NAM
-  export TEST_NAME=DEF_TEST_NAME
-  export EXE_DIR=DEF_EXE_DIR
-  ulimit -a
-  ulimit -s unlimited
-#
-# end of set up
-###############################################################
-#
-# change to the working directory 
-#
-cd ${EXE_DIR}
-  echo Running on host `hostname`
-  echo Time is `date`
-  echo Directory is `pwd`
-# 
-#  Run the parallel MPI executable 
-#
-  echo "Running time ${MPIRUN} ./nemo"
-#
-  if [ MPI_FLAG == "yes" ]; then
-     ${MPIRUN} -n $OCEANCORES ./nemo
-  else
-     time ./nemo
-  fi
-
-#
-  post_test_tidyup
-
-# END_BODY
-# Don't remove neither change the previous line
-
-
-  exit
Index: utils/CI/sette/prepare_job.sh
===================================================================
--- utils/CI/sette/prepare_job.sh	(revision 14981)
+++ utils/CI/sette/prepare_job.sh	(revision 15007)
@@ -246,5 +246,5 @@
                                 export GROUP_IDRIS=`echo ${IDRPROJ}`
                                 ;;
-                        openmpi_KARA_MERCATOR*)
+                        X64_KARA*)
                                 NB_PROC_NODE=32
                                 NB_NODES=$( echo $NB_PROC | awk '{print $1 - $1 % $NB_PROC_NODE }' | awk '{print $1 / $NB_PROC_NODE }' )
@@ -274,5 +274,5 @@
 
         case ${COMPILER} in
-              openmpi_KARA_MERCATOR_XIOS )
+              X64_KARA*)
                     cat run_sette_test.job | sed -e"s/NPROC_NODE/${NB_PROC_NODE}/" \
                                                  -e"s:QUEUE:${QUEUE}:" > run_sette_test1.job