Index: NEMO/branches/2021/ticket2680_C1D_PAPA/src/ICE/icestp.F90
===================================================================
--- NEMO/branches/2021/ticket2680_C1D_PAPA/src/ICE/icestp.F90	(revision 15009)
+++ NEMO/branches/2021/ticket2680_C1D_PAPA/src/ICE/icestp.F90	(revision 15010)
@@ -159,5 +159,5 @@
                                         CALL ice_rst_opn( kt )        ! Open Ice restart file (if necessary)
          !
-         IF( ln_icedyn .AND. .NOT.lk_c1d )   &
+         IF( ln_icedyn .AND. .NOT.ln_c1d )   &
             &                           CALL ice_dyn( kt, Kmm )       ! -- Ice dynamics
          !
Index: NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/ASM/asminc.F90
===================================================================
--- NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/ASM/asminc.F90	(revision 15009)
+++ NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/ASM/asminc.F90	(revision 15010)
@@ -617,8 +617,8 @@
 !!gm
 
-            IF( ln_zps .AND. .NOT. lk_c1d .AND. .NOT. ln_isfcav)           &
+            IF( ln_zps .AND. .NOT. ln_c1d .AND. .NOT. ln_isfcav)           &
                &  CALL zps_hde    ( kt, Kmm, jpts, pts(:,:,:,:,Kbb), gtsu, gtsv,        &  ! Partial steps: before horizontal gradient
                &                              rhd, gru , grv               )  ! of t, s, rd at the last ocean level
-            IF( ln_zps .AND. .NOT. lk_c1d .AND.       ln_isfcav)                       &
+            IF( ln_zps .AND. .NOT. ln_c1d .AND.       ln_isfcav)                       &
                &  CALL zps_hde_isf( nit000, Kmm, jpts, pts(:,:,:,:,Kbb), gtsu, gtsv, gtui, gtvi,    &  ! Partial steps for top cell (ISF)
                &                                  rhd, gru , grv , grui, grvi          )  ! of t, s, rd at the last ocean level
Index: NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/C1D/c1d.F90
===================================================================
--- NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/C1D/c1d.F90	(revision 15009)
+++ NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/C1D/c1d.F90	(revision 15010)
@@ -8,7 +8,5 @@
    !!            3.5  !  2013-10 (D. Calvert)  add namelist
    !!----------------------------------------------------------------------
-#if defined key_c1d
-   !!----------------------------------------------------------------------
-   !!   'key_c1d'                                   1D column configuration
+
    !!----------------------------------------------------------------------
    !!   c1d_init      : read in the C1D namelist
@@ -23,6 +21,4 @@
 
    PUBLIC   c1d_init   ! called by nemogcm.F90
-
-   LOGICAL , PUBLIC, PARAMETER ::  lk_c1d = .TRUE.   ! 1D config. flag
 
    REAL(wp), PUBLIC ::  rn_lat1d     !: Column latitude
@@ -67,16 +63,4 @@
    END SUBROUTINE c1d_init
 
-#else
-   !!----------------------------------------------------------------------
-   !!   Dummy module :                           No use of 1D configuration
-   !!----------------------------------------------------------------------
-   USE par_kind         ! kind parameters
-   LOGICAL, PUBLIC, PARAMETER ::   lk_c1d = .FALSE.   !: 1D config. flag de-activated
-   REAL(wp)                   ::   rn_lat1d, rn_lon1d
-CONTAINS
-   SUBROUTINE c1d_init               ! Dummy routine
-   END SUBROUTINE c1d_init
-#endif
-
    !!======================================================================
 END MODULE c1d
Index: NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/DOM/domain.F90
===================================================================
--- NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/DOM/domain.F90	(revision 15009)
+++ NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/DOM/domain.F90	(revision 15010)
@@ -48,4 +48,5 @@
    USE wet_dry , ONLY : ll_wd     ! wet & drying flag
    USE closea  , ONLY : dom_clo   ! closed seas routine
+   USE c1d
    !
    USE in_out_manager ! I/O manager
@@ -127,4 +128,5 @@
       CALL dom_tile_init                ! Tile domain
 
+      IF( ln_c1d )   CALL     c1d_init                    ! 1D column configuration
       !
       CALL dom_hgr                      ! Horizontal mesh
Index: NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/nemogcm.F90
===================================================================
--- NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/nemogcm.F90	(revision 15009)
+++ NEMO/branches/2021/ticket2680_C1D_PAPA/src/OCE/nemogcm.F90	(revision 15010)
@@ -407,5 +407,4 @@
                            CALL     phy_cst         ! Physical constants
                            CALL     eos_init        ! Equation of state
-      IF( lk_c1d       )   CALL     c1d_init        ! 1D column configuration
                            CALL     wad_init        ! Wetting and drying options
 
@@ -459,5 +458,5 @@
 
       !                                      ! Dynamics
-      IF( lk_c1d       )   CALL dyn_dmp_init         ! internal momentum damping
+      IF( ln_c1d       )   CALL dyn_dmp_init         ! internal momentum damping
                            CALL dyn_adv_init         ! advection (vector or flux form)
                            CALL dyn_vor_init         ! vorticity term including Coriolis
Index: NEMO/branches/2021/ticket2680_C1D_PAPA/src/OFF/dtadyn.F90
===================================================================
--- NEMO/branches/2021/ticket2680_C1D_PAPA/src/OFF/dtadyn.F90	(revision 15009)
+++ NEMO/branches/2021/ticket2680_C1D_PAPA/src/OFF/dtadyn.F90	(revision 15010)
@@ -21,5 +21,5 @@
    !!----------------------------------------------------------------------
    USE oce             ! ocean dynamics and tracers variables
-   USE c1d             ! 1D configuration: lk_c1d
+   USE c1d             ! 1D configuration: ln_c1d
    USE dom_oce         ! ocean domain: variables
 #if defined key_qco 
@@ -135,5 +135,5 @@
       CALL fld_read( kt, 1, sf_dyn )      !=  read data at kt time step   ==!
       !
-      IF( l_ldfslp .AND. .NOT.lk_c1d )   CALL  dta_dyn_slp( kt, Kbb, Kmm )    ! Computation of slopes
+      IF( l_ldfslp .AND. .NOT.ln_c1d )   CALL  dta_dyn_slp( kt, Kbb, Kmm )    ! Computation of slopes
       !
       ts(:,:,:,jp_tem,Kmm) = sf_dyn(jf_tem)%fnow(:,:,:)  * tmask(:,:,:)    ! temperature
@@ -187,5 +187,5 @@
       avs(:,:,:)      = avt(:,:,:)
       !
-      IF( ln_trabbl .AND. .NOT.lk_c1d ) THEN       ! diffusive Bottom boundary layer param 
+      IF( ln_trabbl .AND. .NOT.ln_c1d ) THEN       ! diffusive Bottom boundary layer param 
          ahu_bbl(:,:) = sf_dyn(jf_ubl)%fnow(:,:,1) * umask(:,:,1)    ! bbl diffusive coef
          ahv_bbl(:,:) = sf_dyn(jf_vbl)%fnow(:,:,1) * vmask(:,:,1)
@@ -321,5 +321,5 @@
       END DO
       !
-      IF( l_ldfslp .AND. .NOT.lk_c1d ) THEN                  ! slopes 
+      IF( l_ldfslp .AND. .NOT.ln_c1d ) THEN                  ! slopes 
          IF( sf_dyn(jf_tem)%ln_tint ) THEN      ! time interpolation
             ALLOCATE( uslpdta (jpi,jpj,jpk,2), vslpdta (jpi,jpj,jpk,2),    &
@@ -628,5 +628,5 @@
             &    / REAL( sf_dyn(jf_tem)%nrec(2,sf_dyn(jf_tem)%naa) - sf_dyn(jf_tem)%nrec(2,sf_dyn(jf_tem)%nbb), wp )
          ztintb =  1. - ztinta
-         IF( l_ldfslp .AND. .NOT.lk_c1d ) THEN    ! Computes slopes (here avt is used as workspace)
+         IF( l_ldfslp .AND. .NOT.ln_c1d ) THEN    ! Computes slopes (here avt is used as workspace)
             uslp (:,:,:) = ztintb * uslpdta (:,:,:,1)  + ztinta * uslpdta (:,:,:,2)  
             vslp (:,:,:) = ztintb * vslpdta (:,:,:,1)  + ztinta * vslpdta (:,:,:,2)  
@@ -640,5 +640,5 @@
          CALL compute_slopes( kt, zts, zuslp, zvslp, zwslpi, zwslpj, Kbb, Kmm )
          !
-         IF( l_ldfslp .AND. .NOT.lk_c1d ) THEN    ! Computes slopes (here avt is used as workspace)
+         IF( l_ldfslp .AND. .NOT.ln_c1d ) THEN    ! Computes slopes (here avt is used as workspace)
             uslp (:,:,:) = zuslp (:,:,:)
             vslp (:,:,:) = zvslp (:,:,:)
@@ -665,5 +665,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( l_ldfslp .AND. .NOT.lk_c1d ) THEN    ! Computes slopes (here avt is used as workspace)
+      IF( l_ldfslp .AND. .NOT.ln_c1d ) THEN    ! Computes slopes (here avt is used as workspace)
          CALL eos    ( pts, rhd, rhop, gdept_0(:,:,:) )
          CALL eos_rab( pts, rab_n, Kmm )       ! now local thermal/haline expension ratio at T-points
Index: NEMO/branches/2021/ticket2680_C1D_PAPA/src/OFF/nemogcm.F90
===================================================================
--- NEMO/branches/2021/ticket2680_C1D_PAPA/src/OFF/nemogcm.F90	(revision 15009)
+++ NEMO/branches/2021/ticket2680_C1D_PAPA/src/OFF/nemogcm.F90	(revision 15010)
@@ -348,5 +348,5 @@
                            CALL     phy_cst         ! Physical constants
                            CALL     eos_init        ! Equation of state
-      IF( lk_c1d       )   CALL     c1d_init        ! 1D column configuration
+      IF( ln_c1d       )   CALL     c1d_init        ! 1D column configuration
                            CALL     dom_init( Nbb, Nnn, Naa ) ! Domain
       IF( sn_cfctl%l_prtctl )   &
Index: NEMO/branches/2021/ticket2680_C1D_PAPA/src/SAS/sbcssm.F90
===================================================================
--- NEMO/branches/2021/ticket2680_C1D_PAPA/src/SAS/sbcssm.F90	(revision 15009)
+++ NEMO/branches/2021/ticket2680_C1D_PAPA/src/SAS/sbcssm.F90	(revision 15010)
@@ -12,5 +12,5 @@
    !!----------------------------------------------------------------------
    USE oce            ! ocean dynamics and tracers variables
-   USE c1d            ! 1D configuration: lk_c1d
+   USE c1d            ! 1D configuration: ln_c1d
    USE dom_oce        ! ocean domain: variables
    USE zdf_oce        ! ocean vertical physics: variables
Index: NEMO/branches/2021/ticket2680_C1D_PAPA/src/TOP/PISCES/P4Z/p4zsms.F90
===================================================================
--- NEMO/branches/2021/ticket2680_C1D_PAPA/src/TOP/PISCES/P4Z/p4zsms.F90	(revision 15009)
+++ NEMO/branches/2021/ticket2680_C1D_PAPA/src/TOP/PISCES/P4Z/p4zsms.F90	(revision 15010)
@@ -406,5 +406,5 @@
 
       IF( cn_cfg == "ORCA" .OR. cn_cfg == "orca") THEN
-         IF( .NOT. lk_c1d ) THEN      ! ORCA configuration (not 1D) !
+         IF( .NOT. ln_c1d ) THEN      ! ORCA configuration (not 1D) !
             !                                                ! --------------------------- !
             ! set total alkalinity, phosphate, nitrate & silicate
Index: NEMO/branches/2021/ticket2680_C1D_PAPA/src/TOP/PISCES/SED/trcdmp_sed.F90
===================================================================
--- NEMO/branches/2021/ticket2680_C1D_PAPA/src/TOP/PISCES/SED/trcdmp_sed.F90	(revision 15009)
+++ NEMO/branches/2021/ticket2680_C1D_PAPA/src/TOP/PISCES/SED/trcdmp_sed.F90	(revision 15010)
@@ -133,5 +133,5 @@
       IF( trc_dmp_sed_alloc() /= 0 )   CALL ctl_stop( 'STOP', 'trc_dmp_sed_ini: unable to allocate arrays' )
       !
-      IF( .NOT.lk_c1d ) THEN
+      IF( .NOT.ln_c1d ) THEN
          !Read in mask from file
           restosed(:,:,:) = 0.5 / rday
Index: NEMO/branches/2021/ticket2680_C1D_PAPA/src/TOP/TRP/trcdmp.F90
===================================================================
--- NEMO/branches/2021/ticket2680_C1D_PAPA/src/TOP/TRP/trcdmp.F90	(revision 15009)
+++ NEMO/branches/2021/ticket2680_C1D_PAPA/src/TOP/TRP/trcdmp.F90	(revision 15010)
@@ -199,5 +199,5 @@
       END SELECT
 
-      IF( .NOT.lk_c1d ) THEN
+      IF( .NOT.ln_c1d ) THEN
          IF( .NOT.ln_tradmp )   &
             &   CALL ctl_stop( 'passive tracer damping need ln_tradmp to compute damping coef.' )
Index: NEMO/branches/2021/ticket2680_C1D_PAPA/src/TOP/TRP/trctrp.F90
===================================================================
--- NEMO/branches/2021/ticket2680_C1D_PAPA/src/TOP/TRP/trctrp.F90	(revision 15009)
+++ NEMO/branches/2021/ticket2680_C1D_PAPA/src/TOP/TRP/trctrp.F90	(revision 15010)
@@ -63,5 +63,5 @@
       IF( ln_timing )   CALL timing_start('trc_trp')
       !
-      IF( .NOT. lk_c1d ) THEN
+      IF( .NOT. ln_c1d ) THEN
          !
          !                                                         ! Partial top/bottom cell: GRADh( trb )  