Index: utils/CI/sette/sette_reference-configurations.sh
===================================================================
--- utils/CI/sette/sette_reference-configurations.sh	(revision 15013)
+++ utils/CI/sette/sette_reference-configurations.sh	(revision 15030)
@@ -1101,5 +1101,6 @@
     #
     # AGRIF_DEMO does not yet support nn_hls=2 => key_loop_fusion can not be used
-    . ./makenemo -m ${CMP_NAM} -n ${SETTE_CONFIG} -r AGRIF_DEMO -j ${CMPL_CORES} add_key "${ADD_KEYS/key_loop_fusion}" del_key "${DEL_KEYS}"
+#    . ./makenemo -m ${CMP_NAM} -n ${SETTE_CONFIG} -r AGRIF_DEMO -j ${CMPL_CORES} add_key "${ADD_KEYS/key_loop_fusion}" del_key "${DEL_KEYS}"
+    . ./makenemo -m ${CMP_NAM} -n ${SETTE_CONFIG} -r AGRIF_DEMO -j ${CMPL_CORES} add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
 fi
 if [ ${config} == "AGRIF" ] && [ ${DO_RESTART} == "1" ] ;  then
@@ -1119,4 +1120,5 @@
     set_namelist namelist_cfg nn_stock $(( ${ITEND} / 2 ))
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     #set_namelist_opt namelist_cfg ln_timing ${USING_TIMING} .true. .false.
     set_namelist 1_namelist_cfg cn_exp \"AGRIF_LONG\"
@@ -1136,4 +1138,17 @@
     set_namelist 3_namelist_cfg sn_cfctl%l_runstat .true.
 
+    set_namelist_opt namelist_cfg nn_hls ${USING_EXTRA_HALO} 2 1
+    set_namelist_opt namelist_cfg nn_comm ${USING_COLLECTIVES} 2 1
+    set_namelist_opt namelist_cfg ln_tile ${USING_TILING} .true. .false.
+    set_namelist_opt 1_namelist_cfg nn_hls ${USING_EXTRA_HALO} 2 1
+    set_namelist_opt 1_namelist_cfg nn_comm ${USING_COLLECTIVES} 2 1
+    set_namelist_opt 1_namelist_cfg ln_tile ${USING_TILING} .true. .false.
+    set_namelist_opt 2_namelist_cfg nn_hls ${USING_EXTRA_HALO} 2 1
+    set_namelist_opt 2_namelist_cfg nn_comm ${USING_COLLECTIVES} 2 1
+    set_namelist_opt 2_namelist_cfg ln_tile ${USING_TILING} .true. .false.
+    set_namelist_opt 3_namelist_cfg nn_hls ${USING_EXTRA_HALO} 2 1
+    set_namelist_opt 3_namelist_cfg nn_comm ${USING_COLLECTIVES} 2 1
+    set_namelist_opt 3_namelist_cfg ln_tile ${USING_TILING} .true. .false.
+
     set_xio_using_server iodef.xml ${USING_MPMD}
     cd ${SETTE_DIR}
@@ -1151,6 +1166,9 @@
     set_namelist namelist_cfg nn_stock $(( ${ITEND} / 2 ))
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
+    set_namelist namelist_top_cfg ln_rsttr .true.
+    set_namelist namelist_top_cfg nn_rsttr 2 
     #set_namelist_opt namelist_cfg ln_timing ${USING_TIMING} .true. .false.
     set_namelist 1_namelist_cfg cn_exp \"AGRIF_SHORT\"
@@ -1161,4 +1179,7 @@
     set_namelist 1_namelist_cfg ln_rstart .true.
     set_namelist 1_namelist_cfg nn_rstctl 2
+    set_namelist 1_namelist_top_cfg ln_rsttr .true.
+    set_namelist 1_namelist_cfg ln_init_chfrpar .false.
+    set_namelist 1_namelist_top_cfg nn_rsttr 2 
     set_namelist 2_namelist_cfg cn_exp \"AGRIF_SHORT\"
     set_namelist 2_namelist_cfg nn_it000 $(( ${ITEND} * 4 / 2 + 1 ))
@@ -1168,4 +1189,7 @@
     set_namelist 2_namelist_cfg ln_rstart .true.
     set_namelist 2_namelist_cfg nn_rstctl 2
+    set_namelist 2_namelist_cfg ln_init_chfrpar .false.
+    set_namelist 2_namelist_top_cfg ln_rsttr .true.
+    set_namelist 2_namelist_top_cfg nn_rsttr 2 
     set_namelist 3_namelist_cfg cn_exp \"AGRIF_SHORT\"
     set_namelist 3_namelist_cfg nn_it000 $(( ${ITEND} * 4 * 3 / 2 + 1 ))
@@ -1175,12 +1199,32 @@
     set_namelist 3_namelist_cfg ln_rstart .true.
     set_namelist 3_namelist_cfg nn_rstctl 2
+    set_namelist 3_namelist_cfg ln_init_chfrpar .false.
+    set_namelist 3_namelist_top_cfg ln_rsttr .true.
+    set_namelist 3_namelist_top_cfg nn_rsttr 2 
     set_namelist namelist_cfg cn_ocerst_in \"AGRIF_LONG_${ITRST}_restart\"
     set_namelist namelist_ice_cfg cn_icerst_in \"AGRIF_LONG_${ITRST}_restart_ice\"
+    set_namelist namelist_top_cfg cn_trcrst_in \"AGRIF_LONG_${ITRST}_restart_trc\"
     set_namelist 1_namelist_cfg cn_ocerst_in \"AGRIF_LONG_${ITRST_1}_restart\"
     set_namelist 1_namelist_ice_cfg cn_icerst_in \"AGRIF_LONG_${ITRST_1}_restart_ice\"
+    set_namelist 1_namelist_top_cfg cn_trcrst_in \"AGRIF_LONG_${ITRST_1}_restart_trc\"
     set_namelist 2_namelist_cfg cn_ocerst_in \"AGRIF_LONG_${ITRST_2}_restart\"
     set_namelist 2_namelist_ice_cfg cn_icerst_in \"AGRIF_LONG_${ITRST_2}_restart_ice\"
+    set_namelist 2_namelist_top_cfg cn_trcrst_in \"AGRIF_LONG_${ITRST_2}_restart_trc\"
     set_namelist 3_namelist_cfg cn_ocerst_in \"AGRIF_LONG_${ITRST_3}_restart\"
     set_namelist 3_namelist_ice_cfg cn_icerst_in \"AGRIF_LONG_${ITRST_3}_restart_ice\"
+    set_namelist 3_namelist_top_cfg cn_trcrst_in \"AGRIF_LONG_${ITRST_3}_restart_trc\"
+#
+    set_namelist_opt namelist_cfg nn_hls ${USING_EXTRA_HALO} 2 1
+    set_namelist_opt namelist_cfg nn_comm ${USING_COLLECTIVES} 2 1
+    set_namelist_opt namelist_cfg ln_tile ${USING_TILING} .true. .false.
+    set_namelist_opt 1_namelist_cfg nn_hls ${USING_EXTRA_HALO} 2 1
+    set_namelist_opt 1_namelist_cfg nn_comm ${USING_COLLECTIVES} 2 1
+    set_namelist_opt 1_namelist_cfg ln_tile ${USING_TILING} .true. .false.
+    set_namelist_opt 2_namelist_cfg nn_hls ${USING_EXTRA_HALO} 2 1
+    set_namelist_opt 2_namelist_cfg nn_comm ${USING_COLLECTIVES} 2 1
+    set_namelist_opt 2_namelist_cfg ln_tile ${USING_TILING} .true. .false.
+    set_namelist_opt 3_namelist_cfg nn_hls ${USING_EXTRA_HALO} 2 1
+    set_namelist_opt 3_namelist_cfg nn_comm ${USING_COLLECTIVES} 2 1
+    set_namelist_opt 3_namelist_cfg ln_tile ${USING_TILING} .true. .false.
 
     for (( i=1; i<=$NPROC; i++)) ; do
@@ -1189,10 +1233,14 @@
         ln -sf ../LONG/AGRIF_LONG_${ITRST}_restart_${L_NPROC}.nc .
         ln -sf ../LONG/AGRIF_LONG_${ITRST}_restart_ice_${L_NPROC}.nc .
+        ln -sf ../LONG/AGRIF_LONG_${ITRST}_restart_trc_${L_NPROC}.nc .
         ln -sf ../LONG/1_AGRIF_LONG_${ITRST_1}_restart_${L_NPROC}.nc .
         ln -sf ../LONG/1_AGRIF_LONG_${ITRST_1}_restart_ice_${L_NPROC}.nc .
+        ln -sf ../LONG/1_AGRIF_LONG_${ITRST_1}_restart_trc_${L_NPROC}.nc .
         ln -sf ../LONG/2_AGRIF_LONG_${ITRST_2}_restart_${L_NPROC}.nc .
         ln -sf ../LONG/2_AGRIF_LONG_${ITRST_2}_restart_ice_${L_NPROC}.nc .
+        ln -sf ../LONG/2_AGRIF_LONG_${ITRST_2}_restart_trc_${L_NPROC}.nc .
         ln -sf ../LONG/3_AGRIF_LONG_${ITRST_3}_restart_${L_NPROC}.nc .
         ln -sf ../LONG/3_AGRIF_LONG_${ITRST_3}_restart_ice_${L_NPROC}.nc .
+        ln -sf ../LONG/3_AGRIF_LONG_${ITRST_3}_restart_trc_${L_NPROC}.nc .
     done
     set_xio_using_server iodef.xml ${USING_MPMD}
@@ -1222,4 +1270,8 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
+    set_namelist_opt namelist_cfg nn_hls ${USING_EXTRA_HALO} 2 1
+    set_namelist_opt namelist_cfg nn_comm ${USING_COLLECTIVES} 2 1
+    set_namelist_opt namelist_cfg ln_tile ${USING_TILING} .true. .false.
     #set_namelist_opt namelist_cfg ln_timing ${USING_TIMING} .true. .false.
     set_namelist 1_namelist_cfg cn_exp \"AGRIF_28\"
@@ -1229,4 +1281,7 @@
     set_namelist 1_namelist_cfg jpnj 8
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist_opt 1_namelist_cfg nn_hls ${USING_EXTRA_HALO} 2 1
+    set_namelist_opt 1_namelist_cfg nn_comm ${USING_COLLECTIVES} 2 1
+    set_namelist_opt 1_namelist_cfg ln_tile ${USING_TILING} .true. .false.
     set_namelist 2_namelist_cfg cn_exp \"AGRIF_28\"
     set_namelist 2_namelist_cfg nn_it000 1
@@ -1235,4 +1290,7 @@
     set_namelist 2_namelist_cfg jpnj 8
     set_namelist 2_namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist_opt 2_namelist_cfg nn_hls ${USING_EXTRA_HALO} 2 1
+    set_namelist_opt 2_namelist_cfg nn_comm ${USING_COLLECTIVES} 2 1
+    set_namelist_opt 2_namelist_cfg ln_tile ${USING_TILING} .true. .false.
     set_namelist 3_namelist_cfg cn_exp \"AGRIF_28\"
     set_namelist 3_namelist_cfg nn_it000 1
@@ -1241,4 +1299,7 @@
     set_namelist 3_namelist_cfg jpnj 8
     set_namelist 3_namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist_opt 3_namelist_cfg nn_hls ${USING_EXTRA_HALO} 2 1
+    set_namelist_opt 3_namelist_cfg nn_comm ${USING_COLLECTIVES} 2 1
+    set_namelist_opt 3_namelist_cfg ln_tile ${USING_TILING} .true. .false.
 
     set_xio_using_server iodef.xml ${USING_MPMD}
@@ -1263,4 +1324,8 @@
     set_namelist namelist_cfg jpnj 4
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
+    set_namelist_opt namelist_cfg nn_hls ${USING_EXTRA_HALO} 2 1
+    set_namelist_opt namelist_cfg nn_comm ${USING_COLLECTIVES} 2 1
+    set_namelist_opt namelist_cfg ln_tile ${USING_TILING} .true. .false.
     #set_namelist_opt namelist_cfg ln_timing ${USING_TIMING} .true. .false.
     set_xio_using_server iodef.xml ${USING_MPMD}
@@ -1271,4 +1336,7 @@
     set_namelist 1_namelist_cfg jpnj 4
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist_opt 1_namelist_cfg nn_hls ${USING_EXTRA_HALO} 2 1
+    set_namelist_opt 1_namelist_cfg nn_comm ${USING_COLLECTIVES} 2 1
+    set_namelist_opt 1_namelist_cfg ln_tile ${USING_TILING} .true. .false.
     set_namelist 2_namelist_cfg cn_exp \"AGRIF_44\"
     set_namelist 2_namelist_cfg nn_it000 1
@@ -1277,4 +1345,7 @@
     set_namelist 2_namelist_cfg jpnj 4
     set_namelist 2_namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist_opt 2_namelist_cfg nn_hls ${USING_EXTRA_HALO} 2 1
+    set_namelist_opt 2_namelist_cfg nn_comm ${USING_COLLECTIVES} 2 1
+    set_namelist_opt 2_namelist_cfg ln_tile ${USING_TILING} .true. .false.
     set_namelist 3_namelist_cfg cn_exp \"AGRIF_44\"
     set_namelist 3_namelist_cfg nn_it000 1
@@ -1283,4 +1354,7 @@
     set_namelist 3_namelist_cfg jpnj 4
     set_namelist 3_namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist_opt 3_namelist_cfg nn_hls ${USING_EXTRA_HALO} 2 1
+    set_namelist_opt 3_namelist_cfg nn_comm ${USING_COLLECTIVES} 2 1
+    set_namelist_opt 3_namelist_cfg ln_tile ${USING_TILING} .true. .false.
 
     cd ${SETTE_DIR}
@@ -1313,5 +1387,9 @@
     set_namelist namelist_cfg nn_itend ${ITEND}
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     #set_namelist_opt namelist_cfg ln_timing ${USING_TIMING} .true. .false.
+    set_namelist_opt namelist_cfg nn_hls ${USING_EXTRA_HALO} 2 1
+    set_namelist_opt namelist_cfg nn_comm ${USING_COLLECTIVES} 2 1
+    set_namelist_opt namelist_cfg ln_tile ${USING_TILING} .true. .false.
 
 #   Set the number of fine grids to zero:    
@@ -1351,5 +1429,9 @@
     set_namelist namelist_cfg nn_itend ${ITEND}
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     #set_namelist_opt namelist_cfg ln_timing ${USING_TIMING} .true. .false.
+    set_namelist_opt namelist_cfg nn_hls ${USING_EXTRA_HALO} 2 1
+    set_namelist_opt namelist_cfg nn_comm ${USING_COLLECTIVES} 2 1
+    set_namelist_opt namelist_cfg ln_tile ${USING_TILING} .true. .false.
 #
     set_xio_using_server iodef.xml ${USING_MPMD}